<%= javascript_include_tag "/assets/kindeditor/kindeditor", '/assets/kindeditor/pasteimg', "init_activity_KindEditor" %>
<style type="text/css">
    /*回复框*/
    div.ke-toolbar {
        display: none;
        width: 400px;
        border: none;
        background: none;
        padding: 0px 0px;
    }

    span.ke-toolbar-icon {
        line-height: 26px;
        font-size: 14px;
        padding-left: 26px;
    }

    span.ke-toolbar-icon-url {
        background-image: url(/images/public_icon.png)
    }

    div.ke-toolbar .ke-outline {
        padding: 0px 0px;
        line-height: 26px;
        font-size: 14px;
    }

    span.ke-icon-emoticons {
        background-position: 0px -671px;
        width: 50px;
        height: 26px;
    }

    span.ke-icon-emoticons:hover {
        background-position: -79px -671px;
        width: 50px;
        height: 26px;
    }

    div.ke-toolbar .ke-outline {
        border: none;
    }

    .ke-inline-block {
        display: none;
    }

    div.ke-container {
        float: left;
    }
</style>
<% course_activities.each do |activity| if course_activities %>
        <script>
            function expand_reply(container, btnid) {
                var target = $(container);
                var btn = $(btnid);
                if (btn.data('init') == '0') {
                    btn.data('init', 1);
                    btn.html('收起回复');
                    target.show();
                } else {
                    btn.data('init', 0);
                    btn.html('展开更多');
                    target.hide();
                    target.eq(0).show();
                    target.eq(1).show();
                    target.eq(2).show();
                }
            }

            $(function () {
                init_activity_KindEditor_data(<%= activity.id%>, null, "87%");
                showNormalImage('activity_description_<%= activity.id %>');
                if($("#intro_content_<%= activity.id %>").height() > 360) {
                    $("#intro_content_show_<%= activity.id %>").show();
                }
                $("#intro_content_show_<%= activity.id %>").click(function(){
                    $("#activity_description_<%= activity.id %>").toggleClass("maxh360");
                    $("#activity_description_<%= activity.id%>").toggleClass("lh18");
                    $("#intro_content_show_<%= activity.id %>").hide();
                    $("#intro_content_hide_<%= activity.id %>").show();
                });
                $("#intro_content_hide_<%= activity.id %>").click(function(){
                    $("#activity_description_<%= activity.id %>").toggleClass("maxh360");
                    $("#activity_description_<%= activity.id%>").toggleClass("lh18");
                    $("#intro_content_hide_<%= activity.id %>").hide();
                    $("#intro_content_show_<%= activity.id %>").show();
                });
            });
        </script>
            <% if activity && activity.course_act%>
                <% act = activity.course_act %>
                <% case activity.course_act_type.to_s %>
                <% when 'HomeworkCommon' %>
                    <%= render :partial => 'users/course_homework', :locals => {:activity => act, :user_activity_id => activity.id, :course_activity => 1} %>
                <% when 'News' %>
                    <%= render :partial => 'users/course_news', :locals => {:activity => act, :user_activity_id => activity.id} %>
                <% when 'Message' %>
                    <%= render :partial => 'users/course_message', :locals => {:activity => act, :user_activity_id => activity.id} %>
                <% when 'Poll' %>
                    <%= render :partial => 'users/course_poll', :locals => {:activity => act, :user_activity_id => activity.id} %>
                <% when 'JournalsForMessage' %>
                    <%= render :partial => 'users/course_journalsformessage', :locals => {:activity => act, :user_activity_id => activity.id} %>
                <% when 'Attachment' %>
                    <%= render :partial => 'users/course_attachment', :locals => {:activity => act, :user_activity_id => activity.id} %>
                <% when 'Course' %>
                    <%= render :partial => 'users/course_create', :locals => {:activity => act, :user_activity_id => activity.id} %>
                <% end %>
            <% end %>
    <% end %>
<% end %>

<% if course_activities.count == 10 %>
    <div id="show_more_course_activities" class="loadMore mt10 f_grey">展开更多<%= link_to "", course_activity_path(@course.id, :type => type, :page => page), :id => "more_course_activities_link", :remote => "true", :class => "none" %></div>
<% end %>

<script type="text/javascript">
    $("#show_more_course_activities").mouseover(function () {
        $("#more_course_activities_link").click();
    });
</script>